﻿*{
	margin: 0;
	padding: 0;
	list-style: none;
}
.evaluation-content-top{
	display: flex;
	border-bottom:1px solid #ccc ;
	padding: 20px 750px;
	font-size: 16px;
	font-weight: bold;
}
.evaluation-content-top img{
	transform: rotateX(180deg);
	margin-left: 40px;
	cursor: pointer;
}
.font16{
	font-size: 16px;
}
.font20{
	font-size: 20px;
}
.line_height24{
	line-height: 24px;
}
.font_bold{
	font-weight: bold;
}
.color_gray{
    color: #ababab;
}
.color_black{
	color: #000;
}
.color_red{
	color: #d20032;
}
.evaluation-wrap p {
	font: 16px Helvetica Neue,Helvetica,PingFang SC,Tahoma,Arial,sans-serif;
}
.line_height34{
	line-height: 34px;
}
.text-center{
	text-align: center;
}
.m20{
	margin: 20px 0;
}
.flex_cont{
	display: flex;
	align-items: center;
	justify-content: center;
}
.evaluation-wrap{
	width: 100%;
	background: #f0f0f0;
	position: fixed;
	right: 0;
	bottom: 0;
	transition: all 0.4s ease-in-out;
	max-height: 100vh;
	height: auto;
    overflow-y: auto;
    overflow-x: hidden;
    font-family: arial, "微软雅黑";
	z-index:9999;
}
 .evaluation-content{
	/* max-width: 990px; */
	display: none;
	width: 100%;
	position: fixed;
	background: #f0f0f0;
	/* box-sizing: border-box; */
	transition: all 0.2s ease-in-out;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: 9999;
}
@media screen and (max-width: 1080px) {
	#evaluation_form{
		padding: 0 ;
	}
}
@media screen and (min-width: 1080px) {
	#evaluation_form{
		padding: 0 25rem;
	}
}

.cont-box{
	padding: 30px 200px;
	min-height: 100px;
	box-sizing: border-box;
	/* display: flex; */
	align-items: center;
	justify-content: center;
	position: relative;
}
.cont-initial,
.is_like_cont{
	padding-right: 60px;
	display: flex;
}
.cont-hand{
	box-sizing: border-box;
	border-radius: 3px;
	border: 2px solid #db0230;
	width: 70px;
	height: 40px;
	margin-left: 50px;
	cursor: pointer;
	background: url(./image/ic_img.png) no-repeat left top;
	background-size: 200px;
}
.cont-hand.like{
	background-position: -150px -45px;
}
.cont-hand.dislike{
	background-position: -36px -42px;
}
.cont-hand.like.on{
	background-position: -93px -45px;
	background-color: #db0230;
	animation:imgHover1 0.2s;
	-moz-animation:imgHover1 0.2s; /* Firefox */
	-webkit-animation:imgHover1 0.2s; /* Safari and Chrome */
	-o-animation:imgHover1 0.2s; /* Opera */
	animation-fill-mode: forwards;
	-webkit-animation-timing-function: linear;
	-webkit-animation-fill-mode: forwards;
}
.cont-hand.dislike.on{
	background-position: 18px -42px;
	background-color: #db0230;
	animation:imgHover2 0.2s;
	-moz-animation:imgHover2 0.2s; /* Firefox */
	-webkit-animation:imgHover2 0.2s; /* Safari and Chrome */
	-o-animation:imgHover2 0.2s; /* Opera */
	animation-fill-mode: forwards;
	-webkit-animation-timing-function: linear;
	-webkit-animation-fill-mode: forwards;
}
@keyframes imgHover1{
	from {background-position: -150px -43px;}
	to {background-position: -93px -43px; background-color: #db0230;}
}
@keyframes imgHover2{
	from {background-position: -36px -40px;}
	to {background-position: 18px -40px; background-color: #db0230;}
}
.close-btn-initial{
    height: 50px;
    width: 60px;
    position: absolute;
    right: 0;
    top: 25px;
    background: url(./image/zoom-out.png) no-repeat center center;
    background-size: 24px;
    /*background: url(../images/ic_img.png) no-repeat left top;
    background-size: 120px;
    background-position: -16px -45px;*/
    cursor: pointer;
}

/* 评论靠右 */
.evaluation-wrap.side_right{
	bottom: 30px;
	width: 208px;
}
.evaluation-wrap.side_right .cont-initial p{
	display: none;
}
.evaluation-wrap.side_right .close-btn-initial{
	display: none;
}
 .evaluation-content{
	padding: 0;
}
.evaluation-wrap.side_right .cont-box{
    padding: 20px;
    min-width: 210px;
}


.cont-box.is_like_cont{
	display: none;
}

.cont-box.is_dislike_cont{
	position: relative;
	/* display: none; */
	/* position: fixed; */
	/* bottom: 0; */
}
.cont-box.is_dislike_cont:after{
	content: "";
	border-top: 1px solid #cdcdcd;
    top: 0;
    width: 180%;
    position: absolute;
    left: -40%;
}
.cont-box.is_dislike_cont ul.checkbox_list{
	width: 430px;
	margin: 0 auto;
}
.cont-box.is_dislike_cont ul.checkbox_list li{
	font-weight: normal;
	padding: 10px 0;
	cursor: pointer;
}
.cont-box.is_dislike_cont ul.checkbox_list li label{
	display: flex;
	/*align-items: end;*/
	min-height: 24px;
	line-height: 24px;
	cursor: pointer;
}
.cont-box input[type="checkbox"] {
    width: 18px;
    height: 18px;
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    line-height: 18px;
    margin-right: 10px;
    position: relative;
    border: none;
}
.cont-box input[type="checkbox"]::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background: #fff;
    width: 100%;
    height: 100%;
    border: 1px solid #cdcdcd;
    border-radius: 0;
}
.cont-box input[type="checkbox"]:checked::before {
    content: "\2713";
    background-color: #db0230;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    border-radius:0;
    color: #fff;
    font-size: 14px;
    font-weight: bold;
}

.dislike_input{
	width: 100%;
	margin: 30px auto 20px auto;
	position: relative;
}
.flex-text-wrap{
	position: relative;
	border-bottom: 1px solid #cdcdcd;
}
.textarea_cont {
    position: relative;
    *zoom: 1;
}

.textarea_cont textarea,
.textarea_cont {
    outline: 0;
    margin: 0;
    border: none;
    padding: 0;
    *padding-bottom: 0!important;
}

.textarea_cont textarea,
.textarea_cont pre {
    *white-space: pre;
    *word-wrap: break-word;
    white-space: pre-wrap;
    width: 100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
}

.textarea_cont textarea {
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    resize: none;
    /* IE7 box-sizing fudge factor */
    *height: 94%;
    *width: 94%;
}

.textarea_cont pre {
    display: block;
    visibility: hidden;
}

/* Custom styles */
.textarea_cont { 
	margin-top: 25px;
}

.textarea_cont textarea,
.textarea_cont pre {
    line-height: 1.7;
    min-height: 25px;
    border: none;
    width: 100%;
}






.dislike_input .textarea_style{
	width: 100%;
	background: none;
	border: none;
	outline:none;
	border-radius: 0;
	font-family: arial, "微软雅黑";
}

.dislike_input .input_style{
	height: 48px;
	line-height: 48px;
	width: 100%;
	background: none;
	border: none;
	border-bottom: 1px solid #cdcdcd;
	margin-top: 10px;
	outline:none;
	border-radius: 0;
}
.dislike_input .input_error{

}
.dislike_input .val_nums{
    text-align: right;
    width: 100%;
    display: block;
    font-weight: normal;
    height: 34px;
    line-height: 34px;
}
.img_upload_box .upload_header{
	font-size: 16px;
	font-weight: normal;
	color: #ababab;
	display: flex;
	align-items: center;
	margin: 10px 0;
}
.img_upload_box .imgClick{
	color: #fff;
	background: #939393;
	/*width: 124px;*/
	height: 40px;
	/*line-height: 40px;*/
	cursor: pointer;
	margin-right: 20px;
	text-align: center;
	border-radius: 5px;
}
.img_upload_box .imgClick{
	display: flex;
	align-items: center;
	justify-content: center;
}
.img_upload_box .imgAll{
	width: 100%;
}
.img_upload_box .imgAll ul{
	display: flex;
    flex-wrap: wrap;
}
.img_upload_box .imgAll li{
	width: 88px;
	height: 88px;
	margin: 10px 10px 0 0;
	overflow: hidden;
	background: #000;
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
}
.img_upload_box .imgAll li > img{
	display: block;
	height: 100%;
	margin: 0 auto;
}
.img_upload_box .imgAll li .delImg{
    position: absolute;
    width: 26px;
    height: 26px;
    background: #cd103e url(./image/ic_img.png) no-repeat;
    background-size: 200px;
    background-position: -120px -107px;
    right: 0;
    top: 0;
    cursor: pointer;
}

.contact_radio{
	justify-content: safe start;
	margin: 26px 0;
}
.contact_radio label{
    padding-left: 28px;
    cursor: pointer;
    height: 24px;
    display: flex;
    align-items: center;
}
.cont-box input[type="radio"] {
    width: 18px;
    height: 18px;
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    line-height: 18px;
    margin-right: 10px;
    position: relative;
    cursor: pointer;
    border: none;
}
.cont-box input[type="radio"]::before {
    content: "";
    background: url(../images/radio.png) no-repeat center center;
    position: absolute;
    background-size: 100%;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 18px;
}
.cont-box input[type="radio"]:checked::before {
    content: "";
    background: #cd103e url(../images/radio-selected.png) no-repeat center center;
    background-size: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    border-radius: 18px;
}
.cont-box .link_word{
	color: #000;
	text-decoration: underline;
}
.evaluation-content .btn_style{
	width: 200px;
	height: 35px;
	line-height: 35px;
	font-size: 16px;
	border-radius: 5px;
	margin: 20px auto;
	text-align: center;
	cursor: pointer;
	background: #db0230;
	border: 2px solid #db0230;
	color: #fff;
	box-sizing: border-box;
}
.evaluation-content .btn_style:hover{
	background: #fff;
	border: 2px solid #db0230;
	color: #db0230;
}
.evaluation-content .btn_style.disabled{
	color: #939393;
	border: 2px solid #939393;
	background: none;
}
.submit_result{
	text-align: center;
}
.submit_result > img{
	display: block;
	margin: 10px auto;
}
/* 提交结果  */
.submit_result{
	display: none;
}
/* 隐私协议 */
.privacy_cont{
	display: none;
}
.evaluation-wrap .tips{
	position: fixed;
	left: 50%;
	top: 50%;
	width: auto;
	min-height: 40px;
	display: flex;
	justify-content: center;
	align-items: center;
	line-height: 24px;
	border-radius: 5px;
	background: rgba(0, 0, 0, 0.5);
	color: #fff;
	font-size: 16px;
	text-align: center;
	padding: 5px 20px;
	transform: translate(-50%,0);
}
.evaluation-wrap.side_right .evaluation-content .btn_style{
	width: 100%;
	margin: 15px 0 0px 0px;
}
.evaluation-wrap.side_right .cont-hand {
    margin: 0 7px;
}

@media screen and (max-width:1000px) {
	.font20{
		font-size: 18px;
	}
	 .evaluation-content{
		padding-right: 0;
	}
	.cont-box{
		padding: 20px 20px;
		min-height: 90px;
	}
	.cont-box.is_dislike_cont:after{
		width: 100%;
		left: 0;
	}
	.cont-initial,
	.is_like_cont{
		padding-right: 50px;
	}
	.cont-initial > p{
		flex: 1;
		/* text-align: center; */
	}
	.dislike_input{
		width: 100%;
	}
	.cont-hand{
		margin-left: 10px;
		width: 50px;
		height: 35px;
		background-size: 150px;
	}
	.cont-hand.like{
		background-position: -116px -31px;
	}
	.cont-hand.like.on{
		background-position: -73px -31px;
	}
	.cont-hand.dislike {
		background-position: -29px -30px;
	}
	.cont-hand.dislike.on {
		background-position: 12px -30px;
	}
	@keyframes imgHover1{
		from {background-position: -116px -31px;}
		to {background-position: -73px -31px; background-color: #db0230;}
	}
	@keyframes imgHover2{
		from {background-position: -29px -30px;}
		to {background-position: 12px -30px; background-color: #db0230;}
	}

	.close-btn-initial{
		right: 8px;
		top: 18px;
	}
	.cont-box.is_dislike_cont ul.checkbox_list{
		width: 100%;
	}
	.img_upload_box .imgClick{
		width: 180px;
	}
	.evaluation-wrap.side_right .cont-box{
		padding: 20px 0 20px 0;
		min-width: 100px;
	}
}
@media screen and (max-width:750px) {
	.cont-initial, .is_like_cont{
		padding: 20px 20px;
	}
	.close-btn-initial{
		display: none;
	}
	.cont-box.is_dislike_cont ul.checkbox_list li{
		padding: 5px 0;
	}
	.textarea_cont {
	    margin-top: 10px;
	}
	.contact_radio{
		margin: 10px 0;
	}
	.dislike_input {
	    margin: 5px auto 10px auto
	}
}
@media screen and (max-width:550px) {
	.img_upload_box .imgClick{
		width: auto;
		flex: 1.1;
	}
	.img_upload_box .imgcontent{
		width: auto;
		flex: 2;
	}
}
